Mailinglist Archive: opensuse (4020 mails)

< Previous Next >
Re: [SLE] XFree86 4.2.99 (4.4 rc2)
  • From: Anders Johansson <andjoh@xxxxxxxxxx>
  • Date: Thu, 14 Oct 2004 07:48:35 +0200
  • Message-id: <200410140748.35762.andjoh@xxxxxxxxxx>
On Thursday, 14 October 2004 06.49, Chadley Wilson wrote:
> Greetings
> I finally got my Online Update to work, it has been a mission. Now it
> updates my XFree86 of course I told it to, but my ATI radeon has no 3D any
> more so I tried reinstalling it. But it fails with a message about drm not
> being fit for this driver. I have tried building the module manually but
> it still gives the same error.
> Does anyone have a workaround for me please?
>
>
> XFree86 drm includes
> at /lib/modules/2.6.5-7.108-default/build/include/../driver
> s/char/drm do not fit this driver.

This looks like you don't have the kernel sources installed. Install the
kernel-source.rpm from the updates, then cd /usr/src/linux, make cloneconfig
and make prepare, then try again

< Previous Next >
Follow Ups
References